.big-empty-control-gray
  box-sizing: border-box
  min-height: 49px
  min-width: 153px
  border: 1px solid $page-title
  border-radius: 4px
  color: $page-title
  font-size: 14px
  font-weight: 500
  line-height: 26px
  text-transform: uppercase
  cursor: pointer

.button-empty-gray
  box-sizing: border-box
  height: 32px
  width: 128px
  border: 1px solid $button-light-gray-border
  border-radius: 8px
  background-color: rgba(77,161,255,0)
  text-transform: uppercase
  color: $head-link
  font-size: 13px
  font-weight: 600
  letter-spacing: -0.5px
  line-height: 19px
  cursor: pointer

.upper
  text-transform: uppercase


.large-button
  height: 48px

.big-primary
  color: #FFFFFF
  font-size: 13px
  letter-spacing: 0px
  line-height: 19px
  text-transform: uppercase
  height: 32px
  width: 100%
  background-color: $link-color
  //box-shadow: 1px 2px 12px rgba(77, 161, 255, 0.63)
  border: none
  cursor: pointer
  border-radius: 5px
  font-weight: 600
  box-sizing: border-box
  &.review
    width: 100px
    height: 28px
  &.standart
    height: 37px
    width: 180px
    border-radius: 10px

    &:disabled
      background-color: $plan-color

  &.right
    float: right
    width: auto
    padding: 0 44px
  &.large
    height: 48px
  &.xs
    width: auto
    padding: 0 10px!important
    height: 25px

.button-default
  color: #FFFFFF
  font-size: 13px
  letter-spacing: 0px
  line-height: 19px
  text-transform: uppercase
  height: 48px
  width: 100%
  background-color: $button-default
  //box-shadow: 1px 2px 23px rgba(108, 121, 136, 0.53)
  border: none
  cursor: pointer
  border-radius: 5px
  font-weight: 600
  &.small
    height: 32px
    padding: 7px 26px
  &.not-upper
    text-transform: none
  &.standart
    height: 37px
    width: 180px
    border-radius: 10px



.button-success
  color: #FFFFFF
  font-size: 13px
  letter-spacing: 0px
  line-height: 19px
  text-transform: uppercase
  width: 100px
  height: 28px
  background-color: $button-primary
  border: none
  cursor: pointer
  border-radius: 5px
  font-weight: 600
  box-sizing: border-box
  &:disabled
    opacity: 0.5
    cursor: not-allowed

.read-more
  background: none
  border: none
  color: $button-primary
  font-family: $roboto-font
  font-size: 15px
  font-weight: 500
  line-height: 24px
  cursor: pointer

.attendance-button
  height: 22px
  width: 68px
  border-radius: 6px
  border: none
  color: #FFFFFF
  font-size: 13px
  font-weight: 400
  line-height: 20px
  text-align: center
  background-color: $button-light-gray-border
  &.absent
    background-color: $red-input-border
    &-empty
      background: none
      color: $red-input-border
      font-size: 15px
      font-weight: 600
  &.present
    background-color: $button-success
    &-empty
      background: none
      color: $button-success
      font-size: 15px
      font-weight: 600
  &.invisible
    opacity: 0

.error-button
  background-color: $red-input-border
  border: none
  text-transform: uppercase
  border-radius: 5px

.orange-button
  background-color: $chosen-day-background
  border: none
  text-transform: uppercase
  border-radius: 5px

.xm-button
  height: 32px
  width: 112px
  color: #FFFFFF
  font-size: 13px
  font-weight: 600
  line-height: 20px
  text-align: center

.select
  &-field
    width: 160px
    label
      color: $label-color
      font-size: 14px
      font-weight: 600
      line-height: 21px
      margin-bottom: 10px
      display: block
  &-button
    width: 100%
    border-radius: 8px
    border: 1px solid $button-light-gray-border
    padding: 8px 20px 8px 10px
    display: flex
    align-items: center
    color: $button-dark-gray-color
    font-size: 15px
    font-weight: 600
    line-height: 19px
    +placeholder($button-dark-gray-color)
    cursor: pointer
    box-sizing: border-box
    position: relative
    &.disabled
      color: $button-light-gray-border
      +placeholder($button-light-gray-border)
      cursor: not-allowed
  &-arrow
    top: 50%
    transform: translateY(-46%)
    right: 2px
    position: absolute

.big-button
  height: 39px
  width: 195px

.button-wrapper
  display: inline-block
  button
    font-size: 13px
    letter-spacing: 1px
    text-transform: uppercase
    transition: 0.3s
    width: 100%
    height: 40px
    border-radius: 8px
    border: none


.button-wrapper--primary
  button
    color: #FFFFFF
    background-color: $button-primary



    &:hover
      box-shadow: 0 1px 12px rgba(77, 161, 255, 0.63)
      background-color: $button-primary

.button-wrapper--secondary
  button
    color: #FFFFFF
    background-color: $button-default
    box-shadow: 1px 2px 23px rgba(108, 121, 136, 0.53)
    &:hover
      box-shadow: 0 1px 12px rgba(108, 121, 136, 0.53)
      background-color: $button-default

.button-wrapper--outline
  button
    color: #666666
    background-color: #fff
    box-shadow: none
    border: 1px solid #D9DEE2
    &:hover
      box-shadow: none
      background-color: #fff

.button-wrapper--sm
  button
    width: 145px

.button-wrapper--md
  button
    width: 165px

.button-wrapper--lg
  button
    width: 195px

.button-wrapper--xl
  button
    width: 290px
